Package org.eclipse.cdt.core.formatter

# Class DefaultCodeFormatterOptions

java.lang.Object
org.eclipse.cdt.core.formatter.DefaultCodeFormatterOptions

public class DefaultCodeFormatterOptions extends Object
Code formatter options.

Since:
  5.4
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`alignment_for_arguments_in_method_invocation`
`int`
`alignment_for_assignment`
`int`
`alignment_for_base_clause_in_type_declaration`
`int`
`alignment_for_binary_expression`
`int`
`alignment_for_compact_if`
`int`
`alignment_for_conditional_expression`
`int`
`alignment_for_conditional_expression_chain`
`int`
`alignment_for_constructor_initializer_list`
`int`
`alignment_for_declarator_list`
`int`
`alignment_for_enumerator_list`
`int`
`alignment_for_expression_list`
`int`
`alignment_for_expressions_in_initializer_list`
`int`
`alignment_for_lambda_expression`
`int`
`alignment_for_member_access`
`int`
`alignment_for_overloaded_left_shift_chain`
`int`
`alignment_for_parameters_in_method_declaration`
`int`
`alignment_for_throws_clause_in_method_declaration`
`String`
`brace_position_for_block`
`String`
`brace_position_for_block_in_case`
`String`
`brace_position_for_initializer_list`
`String`
`brace_position_for_linkage_declaration`
`String`
`brace_position_for_method_declaration`
`String`
`brace_position_for_namespace_declaration`
`String`
`brace_position_for_switch`
`String`
`brace_position_for_type_declaration`
`String`
`comment_formatter_off_tag`
`String`
`comment_formatter_on_tag`
`boolean`
`comment_line_up_line_comment_in_blocks_on_first_column`
`int`
`comment_min_distance_between_code_and_line_comment`
`boolean`
`comment_preserve_white_space_between_code_and_line_comment`
`boolean`
`compact_else_if`
`int`
`continuation_indentation`
`int`
`continuation_indentation_for_initializer_list`
`boolean`
`format_block_comment`
`boolean`
`format_header_comment`
`boolean`
`format_line_comment`
`boolean`
`indent_access_specifier_compare_to_type_header`
`int`
`indent_access_specifier_extra_spaces`
`boolean`
`indent_body_declarations_compare_to_access_specifier`
`boolean`
`indent_body_declarations_compare_to_linkage`
`boolean`
`indent_body_declarations_compare_to_namespace_header`
`boolean`
`indent_breaks_compare_to_cases`
`boolean`
`indent_declaration_compare_to_template_header`
`boolean`
`indent_empty_lines`
`boolean`
`indent_label_compare_to_statements`
`boolean`
`indent_statements_compare_to_block`
`boolean`
`indent_statements_compare_to_body`
`boolean`
`indent_switchstatements_compare_to_cases`
`boolean`
`indent_switchstatements_compare_to_switch`
`int`
`indentation_size`
`int`
`initial_indentation_level`
`boolean`
`insert_new_line_after_colon_in_constructor_initializer_list`
`boolean`
`insert_new_line_after_label`
`boolean`
`insert_new_line_after_opening_brace_in_initializer_list`
`boolean`
`insert_new_line_after_template_declaration`
`boolean`
`insert_new_line_at_end_of_file_if_missing`
`boolean`
`insert_new_line_before_catch_in_try_statement`
`boolean`
`insert_new_line_before_closing_brace_in_initializer_list`
`boolean`
`insert_new_line_before_colon_in_constructor_initializer_list`
`boolean`
`insert_new_line_before_else_in_if_statement`
`boolean`
`insert_new_line_before_identifier_in_function_declaration`
`boolean`
`insert_new_line_before_while_in_do_statement`
`boolean`
`insert_new_line_in_empty_block`
`boolean`
`insert_space_after_assignment_operator`
`boolean`
`insert_space_after_binary_operator`
`boolean`
`insert_space_after_closing_angle_bracket_in_template_arguments`
`boolean`
`insert_space_after_closing_angle_bracket_in_template_parameters`
`boolean`
`insert_space_after_closing_brace_in_block`
`boolean`
`insert_space_after_closing_paren_in_cast`
`boolean`
`insert_space_after_colon_in_base_clause`
`boolean`
`insert_space_after_colon_in_case`
`boolean`
`insert_space_after_colon_in_conditional`
`boolean`
`insert_space_after_colon_in_labeled_statement`
`boolean`
`insert_space_after_comma_in_base_types`
`boolean`
`insert_space_after_comma_in_declarator_list`
`boolean`
`insert_space_after_comma_in_enum_declarations`
`boolean`
`insert_space_after_comma_in_expression_list`
`boolean`
`insert_space_after_comma_in_initializer_list`
`boolean`
`insert_space_after_comma_in_method_declaration_parameters`
`boolean`
`insert_space_after_comma_in_method_declaration_throws`
`boolean`
`insert_space_after_comma_in_method_invocation_arguments`
`boolean`
`insert_space_after_comma_in_structured_binding_name_list`
`boolean`
`insert_space_after_comma_in_template_arguments`
`boolean`
`insert_space_after_comma_in_template_parameters`
`boolean`
`insert_space_after_lambda_return`
`boolean`
`insert_space_after_opening_angle_bracket_in_template_arguments`
`boolean`
`insert_space_after_opening_angle_bracket_in_template_parameters`
`boolean`
`insert_space_after_opening_brace_in_initializer_list`
`boolean`
`insert_space_after_opening_bracket`
`boolean`
`insert_space_after_opening_paren_in_cast`
`boolean`
`insert_space_after_opening_paren_in_catch`
`boolean`
`insert_space_after_opening_paren_in_exception_specification`
`boolean`
`insert_space_after_opening_paren_in_for`
`boolean`
`insert_space_after_opening_paren_in_if`
`boolean`
`insert_space_after_opening_paren_in_method_declaration`
`boolean`
`insert_space_after_opening_paren_in_method_invocation`
`boolean`
`insert_space_after_opening_paren_in_parenthesized_expression`
`boolean`
`insert_space_after_opening_paren_in_switch`
`boolean`
`insert_space_after_opening_paren_in_while`
`boolean`
`insert_space_after_opening_structured_binding_name_list`
`boolean`
`insert_space_after_pointer_in_declarator_list`
`boolean`
`insert_space_after_pointer_in_method_declaration`
`boolean`
`insert_space_after_postfix_operator`
`boolean`
`insert_space_after_prefix_operator`
`boolean`
`insert_space_after_question_in_conditional`
`boolean`
`insert_space_after_semicolon_in_for`
`boolean`
`insert_space_after_unary_operator`
`boolean`
`insert_space_before_assignment_operator`
`boolean`
`insert_space_before_binary_operator`
`boolean`
`insert_space_before_closing_angle_bracket_in_template_arguments`
`boolean`
`insert_space_before_closing_angle_bracket_in_template_parameters`
`boolean`
`insert_space_before_closing_brace_in_initializer_list`
`boolean`
`insert_space_before_closing_bracket`
`boolean`
`insert_space_before_closing_paren_in_cast`
`boolean`
`insert_space_before_closing_paren_in_catch`
`boolean`
`insert_space_before_closing_paren_in_exception_specification`
`boolean`
`insert_space_before_closing_paren_in_for`
`boolean`
`insert_space_before_closing_paren_in_if`
`boolean`
`insert_space_before_closing_paren_in_method_declaration`
`boolean`
`insert_space_before_closing_paren_in_method_invocation`
`boolean`
`insert_space_before_closing_paren_in_parenthesized_expression`
`boolean`
`insert_space_before_closing_paren_in_switch`
`boolean`
`insert_space_before_closing_paren_in_while`
`boolean`
`insert_space_before_closing_structured_binding_name_list`
`boolean`
`insert_space_before_colon_in_base_clause`
`boolean`
`insert_space_before_colon_in_case`
`boolean`
`insert_space_before_colon_in_conditional`
`boolean`
`insert_space_before_colon_in_default`
`boolean`
`insert_space_before_colon_in_labeled_statement`
`boolean`
`insert_space_before_comma_in_base_types`
`boolean`
`insert_space_before_comma_in_declarator_list`
`boolean`
`insert_space_before_comma_in_enum_declarations`
`boolean`
`insert_space_before_comma_in_expression_list`
`boolean`
`insert_space_before_comma_in_initializer_list`
`boolean`
`insert_space_before_comma_in_method_declaration_parameters`
`boolean`
`insert_space_before_comma_in_method_declaration_throws`
`boolean`
`insert_space_before_comma_in_method_invocation_arguments`
`boolean`
`insert_space_before_comma_in_structured_binding_name_list`
`boolean`
`insert_space_before_comma_in_template_arguments`
`boolean`
`insert_space_before_comma_in_template_parameters`
`boolean`
`insert_space_before_lambda_return`
`boolean`
`insert_space_before_opening_angle_bracket_in_template_arguments`
`boolean`
`insert_space_before_opening_angle_bracket_in_template_parameters`
`boolean`
`insert_space_before_opening_brace_in_block`
`boolean`
`insert_space_before_opening_brace_in_initializer_list`
`boolean`
`insert_space_before_opening_brace_in_linkage_declaration`
`boolean`
`insert_space_before_opening_brace_in_method_declaration`
`boolean`
`insert_space_before_opening_brace_in_namespace_declaration`
`boolean`
`insert_space_before_opening_brace_in_switch`
`boolean`
`insert_space_before_opening_brace_in_type_declaration`
`boolean`
`insert_space_before_opening_bracket`
`boolean`
`insert_space_before_opening_paren_in_catch`
`boolean`
`insert_space_before_opening_paren_in_exception_specification`
`boolean`
`insert_space_before_opening_paren_in_for`
`boolean`
`insert_space_before_opening_paren_in_if`
`boolean`
`insert_space_before_opening_paren_in_method_declaration`
`boolean`
`insert_space_before_opening_paren_in_method_invocation`
`boolean`
`insert_space_before_opening_paren_in_parenthesized_expression`
`boolean`
`insert_space_before_opening_paren_in_switch`
`boolean`
`insert_space_before_opening_paren_in_while`
`boolean`
`insert_space_before_opening_structured_binding_name_list`
`boolean`
`insert_space_before_pointer_in_declarator_list`
`boolean`
`insert_space_before_pointer_in_method_declaration`
`boolean`
`insert_space_before_postfix_operator`
`boolean`
`insert_space_before_prefix_operator`
`boolean`
`insert_space_before_question_in_conditional`
`boolean`
`insert_space_before_ref_qualifier_in_structured_binding`
`boolean`
`insert_space_before_semicolon`
`boolean`
`insert_space_before_semicolon_in_for`
`boolean`
`insert_space_before_unary_operator`
`boolean`
`insert_space_between_empty_braces_in_initializer_list`
`boolean`
`insert_space_between_empty_brackets`
`boolean`
`insert_space_between_empty_parens_in_exception_specification`
`boolean`
`insert_space_between_empty_parens_in_method_declaration`
`boolean`
`insert_space_between_empty_parens_in_method_invocation`
`boolean`
`join_wrapped_lines`
`boolean`
`keep_else_statement_on_same_line`
`boolean`
`keep_empty_initializer_list_on_one_line`
`boolean`
`keep_guardian_clause_on_one_line`
`boolean`
`keep_simple_if_on_one_line`
`boolean`
`keep_then_statement_on_same_line`
`String`
`line_separator`
`static final int`
`MIXED`
`boolean`
`never_indent_line_comments_on_first_column`
`int`
`number_of_empty_lines_to_preserve`
`int`
`page_width`
`boolean`
`put_empty_statement_on_new_line`
`static final int`
`SPACE`
`static final int`
`TAB`
`int`
`tab_char`
`int`
`tab_size`
`boolean`
`use_fomatter_comment_tag`
`boolean`
`use_tabs_only_for_leading_indentations`

## Constructor Summary

Constructors
Constructor
Description
`DefaultCodeFormatterOptions(Map<String,String> settings)`

## Method Summary

Modifier and Type
Method
Description
`static DefaultCodeFormatterOptions`
`getAllmanSettings()`
`static DefaultCodeFormatterOptions`
`getDefaultSettings()`
`static DefaultCodeFormatterOptions`
`getGNUSettings()`
`static DefaultCodeFormatterOptions`
`getKandRSettings()`
`Map<String,String>`
`getMap()`
`static DefaultCodeFormatterOptions`
`getWhitesmithsSettings()`
`void`
`set(Map<String,String> settings)`
`void`
`setAllmanSettings()`
Configure BSD/Allman style.
`void`
`setDefaultSettings()`
`void`
`setGNUSettings()`
Configure GNU style.
`void`
`setKandRSettings()`
Configure K&R style.
`void`
`setWhitesmitsSettings()`
Configure Whitesmiths style.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TAB

public static final int TAB

See Also:
  - Constant Field Values

### SPACE

public static final int SPACE

See Also:
  - Constant Field Values

### MIXED

public static final int MIXED

See Also:
  - Constant Field Values

### alignment_for_arguments_in_method_invocation

public int alignment_for_arguments_in_method_invocation

### alignment_for_assignment

public int alignment_for_assignment

### alignment_for_base_clause_in_type_declaration

public int alignment_for_base_clause_in_type_declaration

### alignment_for_binary_expression

public int alignment_for_binary_expression

### alignment_for_compact_if

public int alignment_for_compact_if

### alignment_for_conditional_expression_chain

public int alignment_for_conditional_expression_chain

### alignment_for_conditional_expression

public int alignment_for_conditional_expression

### alignment_for_declarator_list

public int alignment_for_declarator_list

### alignment_for_enumerator_list

public int alignment_for_enumerator_list

### alignment_for_expression_list

public int alignment_for_expression_list

### alignment_for_expressions_in_initializer_list

public int alignment_for_expressions_in_initializer_list

### alignment_for_member_access

public int alignment_for_member_access

### alignment_for_overloaded_left_shift_chain

public int alignment_for_overloaded_left_shift_chain

### alignment_for_parameters_in_method_declaration

public int alignment_for_parameters_in_method_declaration

### alignment_for_throws_clause_in_method_declaration

public int alignment_for_throws_clause_in_method_declaration

### alignment_for_constructor_initializer_list

public int alignment_for_constructor_initializer_list

### alignment_for_lambda_expression

public int alignment_for_lambda_expression

Since:
  6.8

### brace_position_for_block

public String brace_position_for_block

### brace_position_for_block_in_case

public String brace_position_for_block_in_case

### brace_position_for_initializer_list

public String brace_position_for_initializer_list

### brace_position_for_method_declaration

public String brace_position_for_method_declaration

### brace_position_for_namespace_declaration

public String brace_position_for_namespace_declaration

### brace_position_for_linkage_declaration

public String brace_position_for_linkage_declaration

Since:
  6.8

### brace_position_for_switch

public String brace_position_for_switch

### brace_position_for_type_declaration

public String brace_position_for_type_declaration

### comment_min_distance_between_code_and_line_comment

public int comment_min_distance_between_code_and_line_comment

### comment_preserve_white_space_between_code_and_line_comment

public boolean comment_preserve_white_space_between_code_and_line_comment

### comment_line_up_line_comment_in_blocks_on_first_column

public boolean comment_line_up_line_comment_in_blocks_on_first_column

Since:
  6.1

### never_indent_line_comments_on_first_column

public boolean never_indent_line_comments_on_first_column

### continuation_indentation

public int continuation_indentation

### continuation_indentation_for_initializer_list

public int continuation_indentation_for_initializer_list

### indent_statements_compare_to_block

public boolean indent_statements_compare_to_block

### indent_statements_compare_to_body

public boolean indent_statements_compare_to_body

### indent_body_declarations_compare_to_access_specifier

public boolean indent_body_declarations_compare_to_access_specifier

### indent_access_specifier_compare_to_type_header

public boolean indent_access_specifier_compare_to_type_header

### indent_access_specifier_extra_spaces

public int indent_access_specifier_extra_spaces

### indent_body_declarations_compare_to_namespace_header

public boolean indent_body_declarations_compare_to_namespace_header

### indent_body_declarations_compare_to_linkage

public boolean indent_body_declarations_compare_to_linkage

Since:
  6.8

### indent_declaration_compare_to_template_header

public boolean indent_declaration_compare_to_template_header

### indent_breaks_compare_to_cases

public boolean indent_breaks_compare_to_cases

### indent_empty_lines

public boolean indent_empty_lines

### indent_switchstatements_compare_to_cases

public boolean indent_switchstatements_compare_to_cases

### indent_switchstatements_compare_to_switch

public boolean indent_switchstatements_compare_to_switch

### indent_label_compare_to_statements

public boolean indent_label_compare_to_statements

Since:
  6.8

### indentation_size

public int indentation_size

### insert_new_line_after_opening_brace_in_initializer_list

public boolean insert_new_line_after_opening_brace_in_initializer_list

### insert_new_line_after_template_declaration

public boolean insert_new_line_after_template_declaration

### insert_new_line_at_end_of_file_if_missing

public boolean insert_new_line_at_end_of_file_if_missing

### insert_new_line_before_catch_in_try_statement

public boolean insert_new_line_before_catch_in_try_statement

### insert_new_line_before_closing_brace_in_initializer_list

public boolean insert_new_line_before_closing_brace_in_initializer_list

### insert_new_line_before_colon_in_constructor_initializer_list

public boolean insert_new_line_before_colon_in_constructor_initializer_list

### insert_new_line_after_colon_in_constructor_initializer_list

public boolean insert_new_line_after_colon_in_constructor_initializer_list

Since:
  6.8

### insert_new_line_before_else_in_if_statement

public boolean insert_new_line_before_else_in_if_statement

### insert_new_line_before_while_in_do_statement

public boolean insert_new_line_before_while_in_do_statement

### insert_new_line_before_identifier_in_function_declaration

public boolean insert_new_line_before_identifier_in_function_declaration

### insert_new_line_in_empty_block

public boolean insert_new_line_in_empty_block

### insert_new_line_after_label

public boolean insert_new_line_after_label

Since:
  6.8

### insert_space_after_assignment_operator

public boolean insert_space_after_assignment_operator

### insert_space_after_binary_operator

public boolean insert_space_after_binary_operator

### insert_space_after_closing_angle_bracket_in_template_arguments

public boolean insert_space_after_closing_angle_bracket_in_template_arguments

### insert_space_after_closing_angle_bracket_in_template_parameters

public boolean insert_space_after_closing_angle_bracket_in_template_parameters

### insert_space_after_closing_paren_in_cast

public boolean insert_space_after_closing_paren_in_cast

### insert_space_after_closing_brace_in_block

public boolean insert_space_after_closing_brace_in_block

### insert_space_after_colon_in_base_clause

public boolean insert_space_after_colon_in_base_clause

### insert_space_after_colon_in_case

public boolean insert_space_after_colon_in_case

### insert_space_after_colon_in_conditional

public boolean insert_space_after_colon_in_conditional

### insert_space_after_colon_in_labeled_statement

public boolean insert_space_after_colon_in_labeled_statement

### insert_space_after_comma_in_initializer_list

public boolean insert_space_after_comma_in_initializer_list

### insert_space_after_comma_in_enum_declarations

public boolean insert_space_after_comma_in_enum_declarations

### insert_space_after_comma_in_method_invocation_arguments

public boolean insert_space_after_comma_in_method_invocation_arguments

### insert_space_after_comma_in_method_declaration_parameters

public boolean insert_space_after_comma_in_method_declaration_parameters

### insert_space_after_comma_in_method_declaration_throws

public boolean insert_space_after_comma_in_method_declaration_throws

### insert_space_after_pointer_in_declarator_list

public boolean insert_space_after_pointer_in_declarator_list

Since:
  6.8

### insert_space_before_pointer_in_declarator_list

public boolean insert_space_before_pointer_in_declarator_list

Since:
  6.8

### insert_space_after_comma_in_declarator_list

public boolean insert_space_after_comma_in_declarator_list

### insert_space_after_comma_in_expression_list

public boolean insert_space_after_comma_in_expression_list

### insert_space_after_comma_in_base_types

public boolean insert_space_after_comma_in_base_types

### insert_space_after_comma_in_template_arguments

public boolean insert_space_after_comma_in_template_arguments

### insert_space_after_comma_in_template_parameters

public boolean insert_space_after_comma_in_template_parameters

### insert_space_after_opening_angle_bracket_in_template_arguments

public boolean insert_space_after_opening_angle_bracket_in_template_arguments

### insert_space_after_opening_angle_bracket_in_template_parameters

public boolean insert_space_after_opening_angle_bracket_in_template_parameters

### insert_space_after_opening_bracket

public boolean insert_space_after_opening_bracket

### insert_space_after_opening_brace_in_initializer_list

public boolean insert_space_after_opening_brace_in_initializer_list

### insert_space_after_opening_paren_in_cast

public boolean insert_space_after_opening_paren_in_cast

### insert_space_after_opening_paren_in_catch

public boolean insert_space_after_opening_paren_in_catch

### insert_space_after_opening_paren_in_for

public boolean insert_space_after_opening_paren_in_for

### insert_space_after_opening_paren_in_if

public boolean insert_space_after_opening_paren_in_if

### insert_space_after_opening_paren_in_method_declaration

public boolean insert_space_after_opening_paren_in_method_declaration

### insert_space_after_opening_paren_in_method_invocation

public boolean insert_space_after_opening_paren_in_method_invocation

### insert_space_after_opening_paren_in_exception_specification

public boolean insert_space_after_opening_paren_in_exception_specification

### insert_space_after_opening_paren_in_parenthesized_expression

public boolean insert_space_after_opening_paren_in_parenthesized_expression

### insert_space_after_opening_paren_in_switch

public boolean insert_space_after_opening_paren_in_switch

### insert_space_after_opening_paren_in_while

public boolean insert_space_after_opening_paren_in_while

### insert_space_after_postfix_operator

public boolean insert_space_after_postfix_operator

### insert_space_after_prefix_operator

public boolean insert_space_after_prefix_operator

### insert_space_after_question_in_conditional

public boolean insert_space_after_question_in_conditional

### insert_space_after_semicolon_in_for

public boolean insert_space_after_semicolon_in_for

### insert_space_after_unary_operator

public boolean insert_space_after_unary_operator

### insert_space_after_lambda_return

public boolean insert_space_after_lambda_return

Since:
  6.8

### insert_space_before_lambda_return

public boolean insert_space_before_lambda_return

Since:
  6.8

### insert_space_before_assignment_operator

public boolean insert_space_before_assignment_operator

### insert_space_before_binary_operator

public boolean insert_space_before_binary_operator

### insert_space_before_closing_angle_bracket_in_template_arguments

public boolean insert_space_before_closing_angle_bracket_in_template_arguments

### insert_space_before_closing_angle_bracket_in_template_parameters

public boolean insert_space_before_closing_angle_bracket_in_template_parameters

### insert_space_before_closing_brace_in_initializer_list

public boolean insert_space_before_closing_brace_in_initializer_list

### insert_space_before_closing_bracket

public boolean insert_space_before_closing_bracket

### insert_space_before_closing_paren_in_cast

public boolean insert_space_before_closing_paren_in_cast

### insert_space_before_closing_paren_in_catch

public boolean insert_space_before_closing_paren_in_catch

### insert_space_before_closing_paren_in_for

public boolean insert_space_before_closing_paren_in_for

### insert_space_before_closing_paren_in_if

public boolean insert_space_before_closing_paren_in_if

### insert_space_before_closing_paren_in_method_declaration

public boolean insert_space_before_closing_paren_in_method_declaration

### insert_space_before_closing_paren_in_method_invocation

public boolean insert_space_before_closing_paren_in_method_invocation

### insert_space_before_closing_paren_in_exception_specification

public boolean insert_space_before_closing_paren_in_exception_specification

### insert_space_before_closing_paren_in_parenthesized_expression

public boolean insert_space_before_closing_paren_in_parenthesized_expression

### insert_space_before_closing_paren_in_switch

public boolean insert_space_before_closing_paren_in_switch

### insert_space_before_closing_paren_in_while

public boolean insert_space_before_closing_paren_in_while

### insert_space_before_colon_in_base_clause

public boolean insert_space_before_colon_in_base_clause

### insert_space_before_colon_in_case

public boolean insert_space_before_colon_in_case

### insert_space_before_colon_in_conditional

public boolean insert_space_before_colon_in_conditional

### insert_space_before_colon_in_default

public boolean insert_space_before_colon_in_default

### insert_space_before_colon_in_labeled_statement

public boolean insert_space_before_colon_in_labeled_statement

### insert_space_before_comma_in_initializer_list

public boolean insert_space_before_comma_in_initializer_list

### insert_space_before_comma_in_enum_declarations

public boolean insert_space_before_comma_in_enum_declarations

### insert_space_before_comma_in_method_invocation_arguments

public boolean insert_space_before_comma_in_method_invocation_arguments

### insert_space_before_comma_in_method_declaration_parameters

public boolean insert_space_before_comma_in_method_declaration_parameters

### insert_space_before_comma_in_method_declaration_throws

public boolean insert_space_before_comma_in_method_declaration_throws

### insert_space_before_comma_in_declarator_list

public boolean insert_space_before_comma_in_declarator_list

### insert_space_before_comma_in_expression_list

public boolean insert_space_before_comma_in_expression_list

### insert_space_before_comma_in_base_types

public boolean insert_space_before_comma_in_base_types

### insert_space_before_comma_in_template_arguments

public boolean insert_space_before_comma_in_template_arguments

### insert_space_before_comma_in_template_parameters

public boolean insert_space_before_comma_in_template_parameters

### insert_space_before_opening_angle_bracket_in_template_arguments

public boolean insert_space_before_opening_angle_bracket_in_template_arguments

### insert_space_before_opening_angle_bracket_in_template_parameters

public boolean insert_space_before_opening_angle_bracket_in_template_parameters

### insert_space_before_opening_brace_in_initializer_list

public boolean insert_space_before_opening_brace_in_initializer_list

### insert_space_before_opening_brace_in_block

public boolean insert_space_before_opening_brace_in_block

### insert_space_before_opening_brace_in_method_declaration

public boolean insert_space_before_opening_brace_in_method_declaration

### insert_space_before_pointer_in_method_declaration

public boolean insert_space_before_pointer_in_method_declaration

Since:
  6.8

### insert_space_after_pointer_in_method_declaration

public boolean insert_space_after_pointer_in_method_declaration

Since:
  6.8

### insert_space_before_opening_brace_in_type_declaration

public boolean insert_space_before_opening_brace_in_type_declaration

### insert_space_before_opening_brace_in_namespace_declaration

public boolean insert_space_before_opening_brace_in_namespace_declaration

### insert_space_before_opening_brace_in_linkage_declaration

public boolean insert_space_before_opening_brace_in_linkage_declaration

Since:
  6.8

### insert_space_before_opening_bracket

public boolean insert_space_before_opening_bracket

### insert_space_before_opening_paren_in_catch

public boolean insert_space_before_opening_paren_in_catch

### insert_space_before_opening_paren_in_for

public boolean insert_space_before_opening_paren_in_for

### insert_space_before_opening_paren_in_if

public boolean insert_space_before_opening_paren_in_if

### insert_space_before_opening_paren_in_method_invocation

public boolean insert_space_before_opening_paren_in_method_invocation

### insert_space_before_opening_paren_in_exception_specification

public boolean insert_space_before_opening_paren_in_exception_specification

### insert_space_before_opening_paren_in_method_declaration

public boolean insert_space_before_opening_paren_in_method_declaration

### insert_space_before_opening_paren_in_switch

public boolean insert_space_before_opening_paren_in_switch

### insert_space_before_opening_brace_in_switch

public boolean insert_space_before_opening_brace_in_switch

### insert_space_before_opening_paren_in_parenthesized_expression

public boolean insert_space_before_opening_paren_in_parenthesized_expression

### insert_space_before_opening_paren_in_while

public boolean insert_space_before_opening_paren_in_while

### insert_space_before_postfix_operator

public boolean insert_space_before_postfix_operator

### insert_space_before_prefix_operator

public boolean insert_space_before_prefix_operator

### insert_space_before_question_in_conditional

public boolean insert_space_before_question_in_conditional

### insert_space_before_semicolon

public boolean insert_space_before_semicolon

### insert_space_before_semicolon_in_for

public boolean insert_space_before_semicolon_in_for

### insert_space_before_unary_operator

public boolean insert_space_before_unary_operator

### insert_space_between_empty_braces_in_initializer_list

public boolean insert_space_between_empty_braces_in_initializer_list

### insert_space_between_empty_brackets

public boolean insert_space_between_empty_brackets

### insert_space_between_empty_parens_in_method_declaration

public boolean insert_space_between_empty_parens_in_method_declaration

### insert_space_between_empty_parens_in_method_invocation

public boolean insert_space_between_empty_parens_in_method_invocation

### insert_space_between_empty_parens_in_exception_specification

public boolean insert_space_between_empty_parens_in_exception_specification

### insert_space_before_opening_structured_binding_name_list

public boolean insert_space_before_opening_structured_binding_name_list

Since:
  6.9

### insert_space_after_opening_structured_binding_name_list

public boolean insert_space_after_opening_structured_binding_name_list

Since:
  6.9

### insert_space_before_closing_structured_binding_name_list

public boolean insert_space_before_closing_structured_binding_name_list

Since:
  6.9

### insert_space_before_comma_in_structured_binding_name_list

public boolean insert_space_before_comma_in_structured_binding_name_list

Since:
  6.9

### insert_space_after_comma_in_structured_binding_name_list

public boolean insert_space_after_comma_in_structured_binding_name_list

Since:
  6.9

### insert_space_before_ref_qualifier_in_structured_binding

public boolean insert_space_before_ref_qualifier_in_structured_binding

Since:
  6.9

### compact_else_if

public boolean compact_else_if

### keep_guardian_clause_on_one_line

public boolean keep_guardian_clause_on_one_line

### keep_else_statement_on_same_line

public boolean keep_else_statement_on_same_line

### keep_empty_initializer_list_on_one_line

public boolean keep_empty_initializer_list_on_one_line

### keep_simple_if_on_one_line

public boolean keep_simple_if_on_one_line

### keep_then_statement_on_same_line

public boolean keep_then_statement_on_same_line

### number_of_empty_lines_to_preserve

public int number_of_empty_lines_to_preserve

### join_wrapped_lines

public boolean join_wrapped_lines

### put_empty_statement_on_new_line

public boolean put_empty_statement_on_new_line

### tab_size

public int tab_size

### page_width

public int page_width

### tab_char

public int tab_char

### use_tabs_only_for_leading_indentations

public boolean use_tabs_only_for_leading_indentations

### initial_indentation_level

public int initial_indentation_level

### line_separator

public String line_separator

### comment_formatter_on_tag

public String comment_formatter_on_tag

Since:
  6.7

### comment_formatter_off_tag

public String comment_formatter_off_tag

Since:
  6.7

### use_fomatter_comment_tag

public boolean use_fomatter_comment_tag

Since:
  6.7

### format_block_comment

public boolean format_block_comment

Since:
  6.9

### format_line_comment

public boolean format_line_comment

Since:
  6.9

### format_header_comment

public boolean format_header_comment

Since:
  6.9

## Constructor Details

### DefaultCodeFormatterOptions

public DefaultCodeFormatterOptions(Map<String,String> settings)

## Method Details

### getDefaultSettings

public static DefaultCodeFormatterOptions getDefaultSettings()

### getKandRSettings

public static DefaultCodeFormatterOptions getKandRSettings()

### getAllmanSettings

public static DefaultCodeFormatterOptions getAllmanSettings()

### getGNUSettings

public static DefaultCodeFormatterOptions getGNUSettings()

### getWhitesmithsSettings

public static DefaultCodeFormatterOptions getWhitesmithsSettings()

### getMap

public Map<String,String> getMap()

### set

public void set(Map<String,String> settings)

### setDefaultSettings

public void setDefaultSettings()

### setKandRSettings

public void setKandRSettings()
Configure K&R style.

Example:

     namespace foospace {
     int Foo() {
         if (isBar) {
             bar();
             return 1;
         } else
             return 0;
     }
     }

See Also:
  - "http://en.wikipedia.org/wiki/Indent_style"

### setAllmanSettings

public void setAllmanSettings()
Configure BSD/Allman style.

Example:

     namespace foospace
     {
     int Foo()
     {
         if (isBar)
         {
             bar();
             return 1;
         }
         else
             return 0;
     }
     }

See Also:
  - "http://en.wikipedia.org/wiki/Indent_style"

### setGNUSettings

public void setGNUSettings()
Configure GNU style.

Example:

     namespace foospace
     {
       int Foo()
       {
         if (isBar)
           {
             bar();
             return 1;
           }
         else
           return 0;
       }
     }

See Also:
  - "http://en.wikipedia.org/wiki/Indent_style"

### setWhitesmitsSettings

public void setWhitesmitsSettings()
Configure Whitesmiths style.

Example:

     namespace foospace
         {
         int Foo()
             {
             if (isBar)
                 {
                 bar();
                 return 1;
                 }
             else
                 return 0;
             }
         }

See Also:
  - "http://en.wikipedia.org/wiki/Indent_style"